Name:       compute-image-packages
Version:    1.1.6
Release:    %mkrel 5
Summary:    Packages to include in a Google Compute Engine image
Group:      System/Servers
License:    ASL 2.0
URL:        https://developers.google.com/compute/docs/building-image
Source0:    https://github.com/GoogleCloudPlatform/%{name}/archive/%{version}.tar.gz
Patch0:     gcimagebundle-Add-Mageia-support.patch
BuildRequires: python
BuildRequires: python-setuptools
BuildArch:  noarch

%description
This is the collection of packages that are installed on the standard Google Compute 
Engine images.

- Image Bundle - Tool that creates an image file out of a disk attached to a
  GCE VM.
- Google Startup Scripts - Scripts and configuration files that setup a
  Linux-based image to work smoothly with GCE.
- Google Daemon - A service that manages user accounts, maintains ssh login
  keys, and syncs public endpoint IP addresses. (not yet packaged)

%package -n google-startup-scripts
Summary: Startup scripts for use in a Google Compute Engine image
Group:   System/Boot and Init

%description -n google-startup-scripts
If you want to generate your own image for use in Google Compute Engine, this 
package provides a set of startup scripts that interact with the virtual 
machine environment.

For more information on how to use startup scripts, see
https://developers.google.com/compute/docs/howtos/startupscript

%package -n gcimagebundle
Summary:  Tool that creates an image file out of a disk attached to a GCE VM
Requires: kpartx parted
Group:    Archiving/Other
%description -n gcimagebundle
Image bundling tool for root file system.

To build a root filesystem tar
$ sudo gcimagebundle -d /dev/sda -r /  -o /tmp \
  --loglevel=DEBUG  --log_file=/tmp/gcimagebundle.log

This will output the image tar in the output directory
specified with -o option.

This only works if you have a single partition (/dev/sda1).

%prep
%setup -q
%autopatch -p1

%build
pushd gcimagebundle
%{__python} setup.py build
popd

%install
pushd google-startup-scripts
cp -a */ %buildroot/
rm -rf %buildroot/etc/init
rm -rf %buildroot/etc/init.d
rm -f %buildroot/etc/rc.local
rm -f %buildroot/usr/share/google/boto/*.py[oc]
rm -f %buildroot/usr/share/google/boto/boto_plugins/*.py[oc]
mkdir -p %buildroot/etc/dhclient-exit-hooks.d/
ln -s ../usr/share/google/set-hostname %buildroot/etc/dhclient-exit-hooks.d/
popd

pushd gcimagebundle
%{__python} setup.py install --root=%{buildroot} --skip-build
popd

%files -n google-startup-scripts
%doc google-startup-scripts/README.md
/etc/dhclient-exit-hooks.d/set-hostname
/etc/rsyslog.d/90-google.conf
/etc/sysctl.d/11-gce-network-security.conf
/lib/udev/rules.d/*.rules
/usr/lib/systemd/system/*.service
/usr/share/google

%files -n gcimagebundle
%{_bindir}/gcimagebundle
/usr/lib/python2.7/site-packages/gcimagebundle*


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 1.1.6-5.mga6
+ Revision: 929736
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-4.mga5
+ Revision: 749698
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.6-3.mga5
+ Revision: 726060
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-2.mga5
+ Revision: 678517
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 pterjan <pterjan> 1.1.6-1.mga5
+ Revision: 677116
- 1.1.6
- Add gcimagebundle
- imported package compute-image-packages

